2008-05-02  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Remove CDTParser.
	* cdtparser: Ditto.

2007-12-20  Mark Wielaard  <mwielaard@redhat.com>

	* .gitignore: Remove libunwind-*.
	* Makefile.am (LIBUNWIND_DIR): Set to either empty or canonical
	libunwind dir.
	(LIBUNWIND_ARCH_DIRS): Define.
	(LIBUNWIND_OTHER_DIRS): Removed.
	(CHECK_SUBDIRS): Include LIBUNWIND_DIR (if defined).
	(SUBDIRS): Include LIBUNWIND_ARCH_DIRS.
	* bootstrap.sh: Don't create libunwind-* dirs.
	* configure.ac: Don't create and configure libunwind-* dirs
	explicitly.
	(AC_CONFIG_SUBDIRS): Add libunwind-* dirs.

2007-10-13  Mark Wielaard  <mwielaard@redhat.com>

	* .cvsignore: Add libunwind-ppc32.

2007-10-12  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am: Set LIBUNWIND_ARCH_DIR, LIBUNWIND_OTHER_DIRS and
	GEN_GCJ_LDADD_LIST to include ppc32 target.
	* bootstrap.sh: Add ppc32 to isa list.

2007-10-04  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am: Set LIBUNWIND_ARCH_DIR and LIBUNWIND_OTHER_DIRS
	depending on CHECK_LIBUNWIND for CHECK_SUBDIRS.

2007-08-24  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am: Change GEN_GCJ_LDADD to GEN_GCJ_LDADD_LIST.

2007-08-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Remove -lopcodes; handled by
	common/frysk-common.ac.

2007-07-17  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (CHECK_SUBDIRS): Moved test subdirectory to be compiled last.

2007-07-17  Andrew Cagney  <cagney@redhat.com>

	Move CNI code from frysk-imports/ to frysk-sys/
	* bootstrap.sh: Do not pass --cni to Makefile.gen.sh.
	(FILE_LIST): Remove frysk, inua and lib.
	* frysk/: Delete.
	* inua/: Delete.
	* lib/: Delete.

	* Makefile.am (AM_CXXFLAGS): Do not add $(srcdir)/include/.
	
	* Makefile.am (noinst_LIBRARIES): Delete.
	(GEN_GCJ_LDADD): Remove -L./lib/opcodes -lbfd_get.

2007-06-26  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist.
	* Makefile.am (DIST_SUBDIRS): Delete.
	(EXTRA_DIST): Delete.

2007-06-19  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh (isa): Touch the file .keep_me in each
	libunwind-$isa directory.
	* configure.ac (AC_CONFIG_SUBDIRS): Add directory "libunwind".
	(isa): Do not remove config.guess; exit if sub-configure fails.
	* Makefile.am (EXTRA_DIST): Add "libunwind-i386/.keep_me",
	"libunwind-x86_64/.keep_me", and "libunwind-ppc64/.keep_me".
	(DIST_SUBDIRS): Add directory "libunwind".
	(install-data-recursive, install-exec-recursive)
	(install-info-recursive, install-recursive)
	(installcheck-recursive, installdirs-recursive)
	(uninstall-info-recursive, uninstall-recursive): Set SUBDIRS to
	just "tests".

2007-06-19  Nurdin Premji  <npremji@redhat.com>

	* configure.ac (AC_CONFIG_SUBDIRS): Removed libunwind.

2007-06-18  Nurdin Premji  <npremji@redhat.com>

	* configure.ac (AC_CONFIG_SUBDIRS): Removed libunwind-i386 directory.

2007-06-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (noinst_HEADERS): Add include/ptrace_wait.h.

	* Makefile.am (EXTRA_DIST): Do not add ChangeLog files.

2007-06-18  Nurdin Premji  <npremji@redhat.com>

	* configure.ac: Use for loop to configure libunwind directories.

	* bootstrap.sh: Use for loop to create libunwind directories.

2007-06-15  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Added libunwind-ppc64.

2007-06-14  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Added libunwind-x86_64.
	* bootstrap.sh: Ditto.
	* configure.ac: Explicitly configure the libunwind-x86_64 directory.
	* Makefile.am (SUBDIRS): Add libunwind-x86_64 and libunwind-ppc64
	(DIST_SUBDIRS): Removed libunwind directory.

2007-05-01  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass -Werror to autoconf.  Do not pass -f to
	elfutil's autoconf.  Perform top-level autogen last.

2007-04-16  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (DIST_SUBDIRS): Leave out libunwind-i386.

	* libunwind/acinclude.m4: Add to the CVS, it is primary source
	used by autoconf.

2007-04-05  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Update `libunwind-ptrace.a' path to the
	libtool compliant one.

2007-04-04  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* bootstrap.sh (libunwind): Support a full autogenerated files removal.

2007-03-27  Mark Wielaard  <mark@klomp.org>

	* configure.ac: Pass on host, build and prefix to libunwind-i386
	configure (and add FIXME).

2007-03-22  Nurdin Premji  <npremj@redhat.com>

	* bootstrap.sh: Create dummy libunwind-i386 directory.
	* .cvsignore: Add libunwind-i386.
	* Makefile.am: Remove dummy multilib target.
	(SUB_DIRS): Add libunwind-i386	

2007-03-22  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am: Enable building of libunwind-i386.

2007-03-22  Stepan Kasal  <skasal@redhat.com>

	* configure.ac: Enable libunwind-i386.

2007-03-21  Nurdin Premji  <npremji@redhat.com>

	* configure.ac: Disable libunwind-i386.
	* Makefile.am: Ditto.

	* configure.ac: Add libunwind-i386 directory.

2007-03-14  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Fixed libunwind-cpu.h location
	* bootstrap.sh: Run automake in libunwind directory.

2007-02-13  Phil Muldoon  <pmuldoon@redhat.com>

	* Makefile.am (EXTRA_DIST): Add test-core-mt-fp core file.

2007-02-06  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (noinst_HEADERS): Add include/frysk-asm.h.
	(noinstdir): Nuke.

	* bootstrap.sh: Add "set -e".

2007-01-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk/pkgdatadir/helloworld.o)
	(frysk/pkgdatadir/test-core): Delete rules, now generated by
	common/Makefile.gen.sh.
	(pkgdata_DATA): Do not add frysk/pkgdatadir/test-core or
	frysk/pkgdatadir/helloworld.o.
	(CLEANFILES): Ditto.

2006-12-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk/pkglibdir/fsystest): Delete rule, moved to
	Makefile.gen.sh.

2006-12-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (pkglib_SCRIPTS): Add frysk/pkglibdir/fsystest.
	(frysk/pkglibdir/fsystest): New rule.

2006-12-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (SUBDIRS, CHECK_SUBDIRS): Remove libunwind from
	check list.  Partially re-instate code lost in 2006-12-08 changes.
	(check-recursive): Add.

2006-12-11  Andrew Cagney  <cagney@redhat.com>

	* .cvsignore: Clean up; remove .deps, gij.sh, TestRunner,
	TestRunner.java, TestJUnits.java, Makefile, *.db, *jar,
	config.log, config.status; add files.list.

	depcomp install-sh missing config.guess config.sub

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass --cni to Makefile.gen.sh.

	* Makefile.am (GEN_GCJ_LDADD): Remove conditional addition of
	libunwind.
	(CHECK_SUBDIRS): Delete, fold into SUBDIRS.
	* configure.ac: Remove code conditionally adding libunwind.
	* bootstrap.sh (FILE_LIST): Remove code conditionally adding
	lib/unwind, simplify.
	
	* bootstrap.sh (FILE_LIST): List lib, not all lib's
	sub-directories.

2006-12-08  Nurdin Premji  <npremji@redhat.com>

	* bootstrap.sh (FILE_LIST): Added lib/stdcpp.
	* Makefile.am (EXTRA_DIST): added lib/stdcpp/ChangeLog.
	(GEN_GCJ_LDADD): Added -lstdc++

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (AM_CXXFLAGS): Add include/ directory.
	(GEN_GCJ_LDADD): Add -laudit.

2006-11-14  Stepan Kasal  <skasal@redhat.com>

	* configure.ac: The included file `common/acinclude.m4' was renamed
	to `common/frysk-common.ac'.

2006-10-13  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh (FILE_LIST): Do not use +=.

2006-10-11  Andrew Cagney  <cagney@redhat.com>

	* lib/elf/tests/test-core.bz2.uu: Move ...
	* frysk/pkgdatadir/test-core.bz2.uu: .. to here.
	* lib/elf/tests/helloworld.o.bz2.uu: Move ...
	* frysk/pkgdatadir/helloworld.o.bz2.uu: ... to here.
	* EXTRA_DIST: Update.
	* Makefile.am (EXTRA_DIST, frysk/pkgdatadir/test-core) 
	(frysk/pkgdatadir/helloworld.o): Update rules.
	(pkgdata_DATA): Add helloworld.o, and test-core.
	(all-local): Delete rule specifying helloworld.o, and test-core.

	* bootstrap.sh: Pass -Werror to automake.

2006-09-28  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (CHECK_SUBDIRS): Strip trailing white space.

2006-09-27  Nurdin Premji <npremji@redhat.com>
	
	* jargs: Removed.
	* Makefile.am (CHECK_SUBDIRS, GEN_CLASSPATH, GEN_GCJ_LDADD): Removed jargs.
	* bootstrap.sh (FILE_LIST): Ditto.
	* configure.ac (AC_CONFIG_FILES): Ditto.	

2006-09-21  Nurdin Premji  <npremji@redhat.com>
	
	* Makefile.am: Added in support for getopt command line option parser.
	* bootstrap.sh: Ditto.
	* configure.ac: Ditto.

2006-09-16    <swagiaal@redhat.com>

	* configure.ac: Added search for libaudit.h to insure that
	libaudit-devel is installed.

2006-09-08	Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Link in libunwind-ptrace.a.
    * Makefile.in: Rebuild.

2006-08-29  Wu Zhou  <woodzltc@cn.ibm.com>

	* bootstrap.sh: Build libunwind unconditionally.

2006-08-17  Yao Qi  <qiyaoltc@cn.ibm.com>

	* lib/opcodes/libbfd_get.c : New file to stub bfd_getb32 and bfd_getl32
	on PPC64.
	* Makefile.am : Add lib/opcodes/libbfd_get.a to noinst_LIBRARIES.

2006-07-31  Yao Qi  <qiyaoltc@cn.ibm.com>

	* bootstrap.sh: Build libunwind if it is supported.

2006-07-21  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Ignoring
	config.guess
	config.sub

2006-07-13  Stepan Kasal  <kasal@ucw.cz>

	* bootstrap.sh: Run autoheader in libunwind, autoconf in antlr..
	* antlr/configure, libunwind/include/config.h.in, libunwind/aclocal.m4:
	* elfutils/configure, elfutils/aclocal.m4, libunwind/configure: Delete.

2006-07-12  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Remove libunwind-ptrace.a.

2006-07-12  Stepan Kasal  <kasal@ucw.cz>

	* elfutils/config.h.in: Delete.
	* bootstrap.sh: Run autoheader in elfutils.

2006-07-11  Rick Moseley <rmoseley@redhat.com>

	* Makefile.am: Remove generic libunwind.a lib.

2006-07-11  Adam Jocksch  <ajocksch@redhat.com>

	* lib/unwind: Added.

2006-07-10  Rick Moseley <rmoseley@redhat.com>

	* Makefile.am: Remove libunwind-setjmp.a for now.

2006-06-30  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac: Remove the code deciding whether to use libunwind,
	it is in common/m4/frysk-use-libunwind.m4 now.  Add conditional
	whether libunwind can undertake "make check".  And some cosmetics.
	Include common/acinclude.m4 before AM_INIT_AUTOMAKE.
	* Makefile.am: Clean up the code for libunwind; add hack to skip
	"make check" there.

2006-06-29  Stepan Kasal  <kasal@ucw.cz>

	* bootstrap.sh: Do not run automake in libunwind, it doesn't use it.

2006-06-28  Rick Moseley  <rmoseley@redhat.com>

	* bootstrap.sh: Added libunwind.
	* configure.ac: Ditto.
	* Makefile.am: Ditto.
	* libunwind/configure.ac: Added macro so autogen.sh would work.

2006-06-26  Ivan Pantuyev  <ipantuye@redhat.com>

	* jline/src/jline/PtyTerminal.java: constructor calls initializeTerminal now
	
2006-06-26  Ivan Pantuyev  <ipantuye@redhat.com>

	* jline/src/jline/PtyTerminal.java: new

2006-06-21  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (noinst_HEADERS): Add include/linux.syscall.h.

2006-06-22  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Use uudecode instead of gmime-uudecode.

2006-06-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Specify static elfutil libraries,
	re-order and add libebl/libebl.a.

2006-06-15  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (EXTRA_DIST): Add lib/elf/tests/*.uu

2006-06-13  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (EXTRA_DIST): Add several ChangeLog's.

2006-06-09  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Ignoring
	compile
	depcomp
	install-sh
	missing

2006-06-06  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Changed linking against .a's to -Ldir -llib.

2006-05-29  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am: Added libdwfl.a.
	* elfutils/libdw/libdw.h: Added extern "C" as a temporary fix.
	* elfutils/libdwfl/libdwfl.h: Ditto.

2006-05-24  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Added libdw.a.

2006-05-19  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am (all-local): Added rule to de-encode and unpack test
	object file.

2006-05-18  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Add line to make the dir to unpack the core file into.

2006-05-17  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am (all-local): Added rule to deencode and unpack test 
	core file.

2006-05-16  Rick Moseley  <rmoseley@redhat.com>

	* bootstrap.sh: Configure elfutils.
	* configure.ac: Add in processing of elfutils.
	* Makefile.am:  Add in processing of elfutils.
	Add -lopcodes for linking.

2006-05-08  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Do not yet configure elfutils.

	* configure.ac: Makefile.am: Disable elfutils until FC update cut.

2006-05-08  Rick Moseley  <rmoseley@redhat.com>

	* bootstrap.sh: Added elfutils.
	* Makefile.am: Ditto.
	* configure.ac: Ditto.
	* elfutils: Added this directory from the elfutils-0.120 source.

2006-04-27  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Copy autogen.sh.
	* autogen.sh: Delete.

2006-01-30  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Delete references to /opt/frysk/share/java.

2006-01-21  Andrew Cagney  <cagney@redhat.com>

	* EXCEPTION: Delete, moved to common/.

2006-01-05  Andrew Cagney  <cagney@redhat.com>

	* EggTrayIcon/: Directory moved to ../frysk-gtk/.
	* tlwidgets/: Directory moved to ../frysk-gtk/.
	* configure.ac (PKG_CHECK_MODULES, FRYSK_IMPORTS_JARS)
	(FRYSK_IMPORTS_CLASSPATH): Delete.
	(lib): Delete.
	* autogen.sh: Delete tlwidgets/ftk.jar.
	* Makefile.am (solib_PROGRAMS, EggTrayIcon/libEggTrayIcon.so)
	(EggTrayIcon_libEggTrayIcon_so_LDADD)
	(EggTrayIcon_libEggTrayIcon_a_CFLAGS): Delete.
	(GEN_CLASSPATH): Do not add $(FRYSK_IMPORTS_JARS).
	(SUBDIRS): Do not add tlwidgets.
	
2005-12-09  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Define FRYSK_IMPORTS_CLASSPATH.

	* configure.ac: Use PKG_CHECK_MODULES, and
	FRYSK_PKG_MODULE_VARIABLE, to define FRYSK_IMPORTS_LIBS,
	FRYSK_IMPORTS_CFLAGS, and FRYSK_IMPORTS_JARS.
	* Makefile.am (EggTrayIcon_libEggTrayIcon_so_LDADD): Set to
	FRYSK_IMPORTS_LIBS.
	(GEN_CLASSPATH): Add FRYSK_IMPORTS_JARS.

2005-12-08  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Move checks for gtk2-java, glade-java, glib-java,
	and gtk+-2.0, to common/acinclude.m4.

	* configure.ac: For GTK2_JAR, GLADE_JAR, and GLIB_JAVA_JAR use
	FRYSK_FIND_JAR to set variable.

	* configure.ac: For antlr.jar, and jdom.jar, use AC_FIND_FILE.

2005-12-02  Sami Wagiaalla  <swagiaal@redhat.com>

	* autogen.sh: added ftk.jar to the list passed to ./common/Makefile.gen.sh
	* Makefile.am: Added $(GTK2_JAR) $(GLIB_JAVA_JAR) to classpath.

2005-11-28  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AC_INIT): Shorten package to just <<frysk>>.

	Revert 2005-11-25 change:
	* configure.ac (AC_CONFIG_SUBDIRS([antlr]): Delete.
	(ANTLR_JAR, JDOM_JAR): Optionally set from the environment.
	(PKG_CONFIG_PATH): Move to before all PKG_CHECK_MODULES.
	* autogen.sh: Specify ANTLR_JAR.
	* Makefile.am (SUBDIRS): Delete antlr/

	* autogen.sh: Add -f to autoconf.

2005-11-25  Andrew Cagney  <cagney@redhat.com>

	* autogen.sh: Replace ANTLR_JAR with antlr/antlr/antlr.jar.
	* configure.ac (AC_CONFIG_SUBDIRS): Add antlr.  Delete ANTLR_JAR
	check.
	* Makefile.am (SUBDIRS): Add antlr.

	* configure.ac: Delete check for JUNIT_JAR.

	* autogen.sh: Replace JUNIT_JAR with junit/junit.jar.
	* configure.ac (AC_CONFIG_FILES): Add junit/Makefile.
	* Makefile.am (SUBDIRS): Add junit.

2005-11-22  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AC_CONFIG_FILES): Delete frysk/Makefile.
	* Makefile.am (SUBDIRS): Delete frysk.

	* configure.ac: Include common/version.ac.  Update AC_INIT to
	frysk-imports FRYSK_VERSION.

2005-11-21  Stan Cox  <scox@redhat.com>

	* Makefile.am (SUBDIRS): Add frysk.
	* autogen.sh: Likewise.
	* configure.ac (AC_CONFIG_FILES): Likewise.
	* frysk/Config.javain: Moved from frysk-core/frysk.
	* frysk/Makefile.am: New file.
	* frysk/configure.ac: New file.

2005-11-21  Rick Moseley  <rmoseley@redhat.com>
	* Makefile.am: added cdtparser compiler compilation
	* configure.ac: ditto
	* autogen.sh: ditto

2005-11-21    <moller@mollerware.com>

	* Makefile.am: Added tlwidgets to SUBDIRS.
	* configure.ac: Added tlwidgets/Makefile to AC_CONFIG_FILES.

2005-11-16  Igor Foox  <ifoox@redhat.com>

	* configure.ac: Added 3.0.1 eclipse search path for cdtparser.jar.
	
2005-11-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (solib_PROGRAMS): Rename solib_DATA.

2005-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (LIBJUNIT): Delete.
	
	* Makefile.am (GEN_GCJ_LDADD, GEN_CLASSPATH): Add junit.
	
	* Makefile.am (GEN_GCJ_LDADD): Add frysk- prefix to all libraries.

2005-11-10  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AC_CONFIG_FILES): Remove tlwidgets/Makefile.
	* Makefile.am (SUBDIRS): Remove tlwidgets.

2005-11-09    <moller@mollerware.com>

	* Makefile.am: Added tlwidgets to SUBDIRS.
	* configure.ac: Added tlwidgets/Makefile to AC_CONFIG_FILES.

2005-11-09  Igor Foox  <ifoox@redhat.com>

	* autogen.sh, configure.ac: Changed to use cdtparser.jar from
	eclipse-cdt package.

2005-11-03  Adam Jocksch  <ajocksch@redhat.com>

	* test/SourceWinRunner.java (main): Now uses paths out of Config.java.
	(mainSourceWin): Uses same process as main.

2005-11-03  Igor Foox  <ifoox@redhat.com>

    * autogen.sh: Added -I common/m4 to aclocal invokation.

	* configure.ac: Added detecton for x86_64 that adds /opt/frysk/lib64 to
	PKG_CONFIG_PATH.

2005-10-21  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AC_CINFIG_FILES): Replace tests/cniinner/Makefile,
	tests/anoncall/Makefile, tests/werror/Makefile,
	tests/gcjtreeiter/Makefile, tests/samename/Makefile, and
	tests/textiter/Makefile with just tests/Makefile.
	* Makefile.am (SUBDIRS): Replace tests/cniinner, tests/anoncall,
	tests/werror, tests/gcjtreeiter, tests/samename, and
	tests/textiter, with just tests/.
	
2001-10-20  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am, configure.ac: Added tests/textiter, tests/gcjtreeiter,
	removed tests/gcc_4_0_15

2005-10-20  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am, configure.ac: Add tests/samename.

2005-10-18  Igor Foox  <ifoox@redhat.com>

	* Makefile.am: Added EggTrayIcon/eggtrayicon.h to EXTRA_DIST. Added
	include/linux.ptrace.h to noinst_HEADERS so it's included in the
	distribution.

2005-10-17  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am: Added tests/gcc_4_0_15 as a subdir.

	* configure.ac: Added checks for Java-gnome libraries and added
	tests/gcc_4_0_15 to AC_CONFIG_FILES.

2005-10-03  Sami Wagiaalla  <swagiaal@redhat.com>

	* EggTrayIcon/libEggTrayIcon.c: changed to using getGObjectHandle().

2005-09-26  Igor Foox  <ifoox@redhat.com>

	* configure.ac: Changed PKG_CONFIG_PATH to /opt/frysk from /opt.

2005-09-20  Phil Muldoon  <pmuldoon@redhat.com>

	* .classpath: Add frysk-imports generated .jars to
	project .classpath.

2005-09-19  Adam Jocksch  <ajocksch@redhat.com>

	* configure.ac: No longer checks for cdtparser.jar.

	* autogen.sh: CDTPARSER_JAR removed from builds.

2005-09-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH, GEN_GCJ_LDADD): Add jargs.
	* autogen.sh: Replace "util" with "inua".

2005-09-16  Adam Jocksch  <ajocksch@redhat.com>

	* configure.ac: Added check for jdom.jar.
	Added JDOM_JAR variable.

	* autogen.sh: Added JDOM_JAR to things to build.

2005-09-15  Igor Foox  <ifoox@redhat.com>

	* configure.ac: Changed all references to jg-common to glib-java.
	Change JGCOMMON variable to GLIB_JAVA.
	* Makefile.am: Changed reference to libjgjni-0.1 to libglibjni.
	Change JGCOMMON variable to GLIB_JAVA.

2005-09-15  Adam Jocksch  <ajocksch@redhat.com>

	* configure.ac (CDTPARSER_JAR): Changed path to /opt/share/java.

2005-09-14  Adam Jocksch  <ajocksch@redhat.com>

	* autogen.sh (./common/Makefile.gen.sh): Added CDTPARSER_JAR.

	* configure.ac: Added CDTPARSER_JAR

2005-09-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EggTrayIcon_libEggTrayIcon_so_LDADD)
	(noinst_PROGRAMS): Replace GEN_GCJ_LDADD.

	* Makefile.am: Replace EggTrayIcon_libEggTrayIcon_so_LDFLAGS with
	GEN_GCJ_LDADD.

2005-09-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (solib_DATA): Set, instead of so_DATA.

2005-09-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Install libEggTrayIcon.so in libdir.

	* configure.ac: Set package name to "frysk".

	* COPYING, EXCEPTION: New files; copyright of all files updated.

	* EggTrayIcon/libEggTrayIcon.c, EggTrayIcon/eggtrayicon.c,
	EggTrayIcon/eggtrayicon.h: New files; copied from frysk-gui.
	* Makefile.am: Add rules for EggTrayIcon.
	* configure.ac: Set PKG_CONFIG_PATH; check for gtk+-2.0 and
	jg-common.

2005-09-10  Andrew Cagney  <cagney@redhat.com>

	* configure.ac, Makefile.am: Add sub-directory tests/werror.

2005-09-09  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Check that $(JUNIT_JAR) and $(ANTLR_JAR) exist.

	* configure.ac (JAVAC): Set using AC_CHECK_PROGS.

	* configure.ac: Add code to substitute JUNIT_JAR and ANTLR_JAR.
	* autogen.sh: Replace path-to junit.jar and path-to antlr.jar with
	JUNIT_JAR and ANTLR_JAR.

2005-09-08  Andrew Cagney  <cagney@redhat.com>

	* cdtparser.jar: Deleted.

2005-09-08  Adam Jocksch  <ajocksch@redhat.com>

	* cdtparser.jar: Added

2005-09-08  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Add AM_PROG_CXX.
	* autogen.sh: Pass util/ to Makefile.gen.sh.

2005-09-02  Igor Foox  <ifoox@redhat.com>

	* rpm-specs: New directory.

2005-09-01  Andrew Cagney  <cagney@redhat.com>

	* .externalToolBuilders/AntBuilder.launch, .classpath, .project,
	build.xml: New files.
	* .cvsignore: Add more files.

	* configure.ac, Makefile.am: Add subdirectory tests/anoncall.

2005-08-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (LIBJUNIT): Define.

2005-08-18  Andrew Cagney  <cagney@redhat.com>

	* autogen.sh, configure.ac, Makefile.am: Add jargs/jargs.jar.

	* autogen.sh: Add jline/jline.jar to Makefile.gen.sh option list.

2005-08-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am, configure.ac: Add directory tests/cniinner.

2005-08-11  Andrew Cagney  <cagney@redhat.com>

	* .cvsignore, Makefile.am, README, autogen.sh, configure.ac: New.
	* jline/: Import.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
